Skip to main content
Resource Center/Network Resource/OSPF Operations
POSTOSPF OperationsSince 3.4.0SynchronousAuth Required

SetVRouterRouterId

SetVRouterRouterId

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vRouterUuidStringRequired

    The vRouter UUID.

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • routerIdStringRequired

      The router ID in IP address format.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • routerIdStringRequired

    No description provided.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/routerArea/{vRouterUuid}/routerid

/zstack/v1/routerArea/{vRouterUuid}/routerid

Operation ID

SetVRouterRouterId

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/routerArea/{vRouterUuid}/routerid' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"routerId":"<routerId>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "routerId": "10.10.10.1" }

Change History

This API has no change history records yet.

View all change history